View Issue Details

IDProjectCategoryView StatusLast Update
0030871CommunityOCCT:Data Exchangepublic2020-12-02 17:12
Reporterdrazmyslovich Assigned Toabv  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
PlatformWindowsOSVC++ 2015 
Product Version7.4.0 
Target Version7.5.0Fixed in Version7.5.0 
Summary0030871: Data Exchange - Add a minimal progress indication for writing STEP and IGES files
DescriptionUnfortunately, the writers of STEP and IGES files do not support any kind of progress reporting. Here, I would to propose a minimal solution for it.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number

Relationships

related to 0025748 closedabv Open CASCADE Foundation Classes - Parallel version of progress indicator 
related to 0025482 closedabv Open CASCADE Data Exchange - Usage of progress indicator by a translation process of a STEP file into DECAF document 

Activities

git

2019-08-07 11:17

administrator   ~0086051

Branch CR30871 has been created by drazmyslovich.

SHA-1: 1fc541fcea1f3c55e73d826a51cfc47ce2f6e4a0


Detailed log of new commits:

Author: build
Date: Wed Aug 7 10:15:08 2019 +0200

    0030871: Add a minimal progress indication for writing STEP and IGES files

drazmyslovich

2019-08-07 11:17

developer   ~0086052

The changes are submitted, please, review

abv

2019-09-04 21:52

manager   ~0086755

We shall integrate this patch after 0025748 which will change API of progress indication (after OCCT 7.4.0 release)

abv

2020-09-18 21:44

manager   ~0095054

Relevant changes have been implemented within 0025748

git

2020-09-20 11:14

administrator   ~0095141

Branch CR30871 has been deleted by inv.

SHA-1: 1fc541fcea1f3c55e73d826a51cfc47ce2f6e4a0

Issue History

Date Modified Username Field Change
2019-08-07 11:11 drazmyslovich New Issue
2019-08-07 11:11 drazmyslovich Assigned To => gka
2019-08-07 11:11 drazmyslovich Assigned To gka => drazmyslovich
2019-08-07 11:17 git Note Added: 0086051
2019-08-07 11:17 drazmyslovich Note Added: 0086052
2019-08-07 11:17 drazmyslovich Assigned To drazmyslovich => gka
2019-08-07 11:17 drazmyslovich Status new => resolved
2019-08-07 11:17 drazmyslovich Steps to Reproduce Updated
2019-08-13 13:25 kgv Relationship added related to 0025482
2019-09-04 12:07 kgv Summary Add a minimal progress indication for writing STEP and IGES files => Data Exchange - Add a minimal progress indication for writing STEP and IGES files
2019-09-04 21:49 abv Relationship added related to 0025748
2019-09-04 21:52 abv Note Added: 0086755
2019-09-04 21:52 abv Assigned To gka => abv
2019-09-04 21:52 abv Status resolved => assigned
2019-09-04 21:52 abv Target Version 7.4.0 => 7.5.0
2020-09-18 21:44 abv Note Added: 0095054
2020-09-18 21:44 abv Status assigned => verified
2020-09-18 21:44 abv Resolution open => fixed
2020-09-20 11:14 git Note Added: 0095141
2020-12-02 16:40 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed